X-Original-To: alpine-devel@lists.alpinelinux.org Delivered-To: alpine-devel@mail.alpinelinux.org Received: from mail-ig0-f195.google.com (mail-ig0-f195.google.com [209.85.213.195]) (using TLSv1 with cipher ECDHE-RSA-RC4-SHA (128/128 bits)) (No client certificate requested) by mail.alpinelinux.org (Postfix) with ESMTPS id E3878DC01BD for ; Sat, 11 Oct 2014 04:01:51 +0000 (UTC) Received: by mail-ig0-f195.google.com with SMTP id l13so2113557iga.10 for ; Fri, 10 Oct 2014 21:01:51 -0700 (PDT) DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113; h=mime-version:in-reply-to:references:date:message-id:subject:from:to :cc:content-type; bh=bspdsAxVUxRZ1yW2k3CUUIxHlZvzSWMo1adR7i0uelQ=; b=k004XM3vS0VCXIa04R1KzsGExUCXhiPZvnnf1wSo3IMKNTsYka52Qtb1jbBATbNoPU JorLuVJEiqxcYwZ9b1Zq91DXkR86x2q1D3nAd/5Qk3p1blmaZB6tFFWNqpAJyovf2cw5 NaIXHn4HJtzPxpr6nJ70noT/+OxKmVAqXND7IAV0rmDkAGYjrQit/kvvmwnPV52/NgzQ 3d5NuprVQRp+V3UkscLfgl1oT2Jh9QSsl0fMvttx2l4WtSXidWmPE5El9YIbsX6rBFQU U7mdJRV5axpHE8BSohRuYu08PRAutKZas/KbENsNPgU9ADjiqaNbWFQfg/naEWBQoql4 /YNQ== X-Mailinglist: alpine-devel Precedence: list List-Id: Alpine Development List-Unsubscribe: List-Post: List-Help: List-Subscribe: MIME-Version: 1.0 X-Received: by 10.50.122.1 with SMTP id lo1mr12289721igb.5.1413000110942; Fri, 10 Oct 2014 21:01:50 -0700 (PDT) Received: by 10.107.152.67 with HTTP; Fri, 10 Oct 2014 21:01:50 -0700 (PDT) In-Reply-To: <20141006170638.7969cdf1@ncopa-desktop.alpinelinux.org> References: <1412488319-17278-1-git-send-email-k0r10n.dev@gmail.com> <20141006170518.57d4c576@ncopa-desktop.alpinelinux.org> <20141006170638.7969cdf1@ncopa-desktop.alpinelinux.org> Date: Sat, 11 Oct 2014 04:01:50 +0000 Message-ID: Subject: Re: [alpine-devel] [PATCH] Upgrade phonon From: k0r10n To: Natanael Copa Cc: Alpine-devel Content-Type: multipart/alternative; boundary=089e01536c54ae5ca605051db963 --089e01536c54ae5ca605051db963 Content-Type: text/plain; charset=UTF-8 I think it's because you are trying to build it on 64, but i didn't have before 64-bit build environment. So now i have it, and tested phonon, patch is here: >From 5440ae7f5660e19397d0b5c795c420f79ef4e7c2 Mon Sep 17 00:00:00 2001 From: k0r10n Date: Sat, 11 Oct 2014 07:57:08 +0400 Subject: [PATCH] Upgrade phonon for building on 64 --- testing/phonon/APKBUILD | 8 +++++++- 1 file changed, 7 insertions(+), 1 deletion(-) diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD index 781ee06..e1d6ba9 100644 --- a/testing/phonon/APKBUILD +++ b/testing/phonon/APKBUILD @@ -28,7 +28,13 @@ prepare() { build() { cd "$_builddir"/build - cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1 + cmake -DCMAKE_INSTALL_PREFIX=/usr \ + -DCMAKE_BUILD_TYPE=Release \ + -DCMAKE_INSTALL_LIBDIR=lib \ + -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE \ + -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \ + -Wno-dev \ + "$_builddir" || return 1 make || return 1 } -- 2.0.0 2014-10-06 15:06 GMT+00:00 Natanael Copa : > On Mon, 6 Oct 2014 17:05:18 +0200 > Natanael Copa wrote: > > > On Sun, 5 Oct 2014 09:51:59 +0400 > > k0r10n wrote: > > > > > --- > > > testing/phonon/APKBUILD | 10 +++++----- > > > 1 file changed, 5 insertions(+), 5 deletions(-) > > > > I get this error: > > >>> phonon*: Tracing dependencies... > > >>> ERROR: phonon*: libphonon.so.4: path not found > > It looks like it installs libs in /usr/lib64 instead of /usr/lib. > > -nc > --089e01536c54ae5ca605051db963 Content-Type: text/html; charset=UTF-8 Content-Transfer-Encoding: quoted-printable
I think it's because you are trying to build it on 64,= but i didn't have before 64-bit build environment. So now i have it, a= nd tested phonon, patch is here:

From 5440ae7f5660e19397d0b5c79=
5c420f79ef4e7c2 Mon Sep 17 00:00:00 2001
From: k0r10n <k0r10n.dev@gmail.c=
om>
Date: Sat, 11 Oct 2014 07:57:08 +0400
Subject: [PATCH] Upgrade phonon for building on 64

---
 testing/phonon/APKBUILD | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/testing/phonon/APKBUILD b/testing/phonon/APKBUILD
index 781ee06..e1d6ba9 100644
--- a/testing/phonon/APKBUILD
+++ b/testing/phonon/APKBUILD
@@ -28,7 +28,13 @@ prepare() {
=20
 build() {
 	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=3D/usr -DCMAKE_SKIP_RPATH=3DON "$_build=
dir" || return 1
+	cmake -DCMAKE_INSTALL_PREFIX=3D/usr \
+	      -DCMAKE_BUILD_TYPE=3DRelease \
+	      -DCMAKE_INSTALL_LIBDIR=3Dlib \
+	      -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=3DFALSE \
+	      -DDBUS_INTERFACES_INSTALL_DIR=3D/usr/share/dbus-1/interfaces \
+	      -Wno-dev \
+	      "$_builddir" || return 1
 	make || return 1
 }
=20
--=20
2.0.0


20= 14-10-06 15:06 GMT+00:00 Natanael Copa <ncopa@alpinelinux.org><= /span>:
On Mon, 6 Oct 2014 17:05:18 +0200
Natanael Copa <ncopa@alpinelinu= x.org> wrote:

> On Sun,=C2=A0 5 Oct 2014 09:51:59 +0400
> k0r10n <k0r10n.dev@gmail.co= m> wrote:
>
> > ---
> >=C2=A0 testing/phonon/APKBUILD | 10 +++++-----
> >=C2=A0 1 file changed, 5 insertions(+), 5 deletions(-)
>
> I get this error:
> >>> phonon*: Tracing dependencies...
> >>> ERROR: phonon*: libphonon.so.4: path not found

It looks like it installs libs in /usr/lib64 instead of /usr/li= b.

-nc

--089e01536c54ae5ca605051db963-- --- Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org Help: alpine-devel+help@lists.alpinelinux.org ---